## 定义通用变量
BUILD=go build -ldflags '-s -w -extldflags "-static"'

.PHONY : setup  clean pairecmd
pairecmd: setup
	GOOS=linux ${BUILD} -o pairecmd .
	GOOS=darwin ${BUILD} -o pairecmdmac .
	GOOS=windows ${BUILD} -o pairecmdwin .
	-mv pairecmd pairecmdwin pairecmdmac bin/

setup:
	if [ ! -d bin ]; then\
		mkdir bin; \
	fi

clean:
	-rm -rf build
	-rm -rf bin
